mlbench.twonorm {mlbench} | R Documentation

## Twonorm Benchmark Problem

### Description

The inputs of the twonorm problem are points from two Gaussian distributions with unit covariance matrix. Class 1 is multivariate normal with mean (a,a,…,a) and class 2 with mean (-a,-a,…,-a), a=2/d^{0.5}.

### Usage

    mlbench.twonorm(n, d=20)

### Arguments

`n` | number of patterns to create
`d` | dimension of the twonorm problem

### Value

Returns an object of class `"mlbench.twonorm"` with components

`x` | input values
`classes` | factor vector of length `n` with target classes

### References

Breiman, L. (1996). Bias, variance, and arcing classifiers. Tech. Rep. 460, Statistics Department, University of California, Berkeley, CA, USA.

### Examples

    p<-mlbench.twonorm(1000, d=2)
    plot(p)

[Package mlbench version 2.1-1 Index]